import { Component, h, Prop, State } from '@stencil/core';
import { randomIdGenerator } from '../../../global/utils/randomIdGenerator';

@Component({
  tag: 'digi-icon-webinar',
  styleUrl: 'icon-webinar.scss',
  scoped: true
})
export class IconWebinar {
  /**
   * Lägger till ett titleelement i svg:n
   * @en Adds a title element inside the svg
   */
  @Prop() afTitle: string;

  /**
   * Lägger till ett descelement i svg:n
   * @en Adds a desc element inside the svg
   */
  @Prop() afDesc: string;

  /**
   * För att dölja ikonen för skärmläsare. Default är satt till true.
   * @en Hides the icon for screen readers. Default is set to true.
   */
  @Prop() afSvgAriaHidden = true;

  /**
   * Referera till andra element på sidan för att definiera ett tillgängligt namn.
   * @en Reference other elements on the page to define an accessible name.
   */
  @Prop() afSvgAriaLabelledby: string;

  @State() titleId: string = randomIdGenerator('icontitle');

  render() {
    return (
      <svg
        class="digi-icon-media-webinar"
        width="48"
        height="48"
        viewBox="0 0 48 48"
        aria-hidden={this.afSvgAriaHidden ? 'true' : 'false'}
        aria-labelledby={
          this.afSvgAriaLabelledby
            ? this.afSvgAriaLabelledby
            : this.afTitle
              ? this.titleId
              : undefined
        }
        xmlns="http://www.w3.org/2000/svg">
        {this.afTitle && <title id={this.titleId}>{this.afTitle}</title>}
        {this.afDesc && <desc>{this.afDesc}</desc>}
        <defs>
          <polygon points="0 0 46.0706453 0 46.0706453 6.84583302 0 6.84583302" />
          <polygon points="0 0 20.7553606 0 20.7553606 16.9520588 0 16.9520588" />
        </defs>
        <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
          <g transform="translate(-124, -722)">
            <g transform="translate(124, 726)">
              <g transform="translate(0, 33.1497)">
                <mask id="mask-2" fill="white">
                  <use href="#path-1" />
                </mask>
                <g />
                <path
                  d="M32.4654281,0 C29.5470994,1.01554561 28.1793888,2.39053613 23.0352317,2.39053613 C17.8910745,2.39053613 16.5233639,1.01554561 13.6050353,0 L-0.000181997422,0 L-0.000181997422,3.25320391 C-0.000181997422,5.22969591 1.07087283,6.84583302 3.49871843,6.84583302 L42.5717449,6.84583302 C44.9995905,6.84583302 46.0706453,5.22969591 46.0706453,3.25320391 L46.0706453,0 L32.4654281,0 Z"
                  fill="currentColor"
                />
              </g>
              <path
                d="M24.3296883,7.89077121 C24.3296883,6.71506787 24.5881247,5.58850383 25.0403883,4.53473876 C25.1341169,4.31634185 25.2505953,4.10704482 25.3616137,3.89592781 L4.37185107,3.89592781 C3.23891712,3.89592781 2.31255024,4.86506408 2.31255024,6.04895731 L2.31255024,29.4847653 L6.52670054,29.4847653 L6.52670054,9.50690832 C6.52670054,8.98002578 6.9389247,8.54869189 7.44214757,8.54869189 L24.3642678,8.54869189 C24.3469781,8.33029499 24.3296883,8.11189808 24.3296883,7.89077121"
                fill="currentColor"
              />
              <path
                d="M41.2624554,18.5539092 C40.7028134,18.6767574 40.1295215,18.7713961 39.5434898,18.8360052 L39.5434898,29.4846743 L43.7576401,29.4846743 L43.7576401,17.7640403 C42.9695913,18.0916357 42.1369531,18.3619019 41.2624554,18.5539092"
                fill="currentColor"
              />
              <path
                d="M27.7086525,29.9926291 C27.7086525,30.5140517 27.3055282,30.9371957 26.8086752,30.9371957 L11.8111777,30.9371957 C11.3143247,30.9371957 10.9121104,30.5140517 10.9121104,29.9926291 L10.9121104,26.7157655 C10.9121104,24.6282551 12.5227876,22.9365891 14.5111094,22.9365891 L16.5594904,22.9365891 C18.3366952,23.7919769 20.3486767,23.7610374 22.0612725,22.9365891 L24.1096534,22.9365891 C26.0970653,22.9365891 27.7086525,24.6282551 27.7086525,26.7157655 L27.7086525,29.9926291 Z M19.3103814,11.5981497 C21.9602639,11.5981497 24.1096534,13.8540077 24.1096534,16.6376583 C24.1096534,19.4203989 21.9602639,21.6762569 19.3103814,21.6762569 C16.659589,21.6762569 14.5111094,19.4203989 14.5111094,16.6376583 C14.5111094,13.8540077 16.659589,11.5981497 19.3103814,11.5981497 L19.3103814,11.5981497 Z"
                fill="currentColor"
              />
              <path
                d="M19.3101084,21.6764389 C21.9609009,21.6764389 24.1093805,19.4205809 24.1093805,16.6369303 C24.1093805,13.8541897 21.9609009,11.5983317 19.3101084,11.5983317 C16.659316,11.5983317 14.5108364,13.8541897 14.5108364,16.6369303 C14.5108364,19.4205809 16.659316,21.6764389 19.3101084,21.6764389"
                fill="currentColor"
              />
              <path
                d="M24.1092895,22.9362251 L22.0609085,22.9362251 C20.3492227,23.7606734 18.3372412,23.7925229 16.5591264,22.9362251 L14.5107454,22.9362251 C12.5233336,22.9362251 10.9117464,24.6278911 10.9117464,26.7154015 L10.9117464,29.9922651 C10.9117464,30.5145977 11.3148707,30.9377417 11.8117237,30.9377417 L26.8092212,30.9377417 C27.3060742,30.9377417 27.7082885,30.5145977 27.7082885,29.9922651 L27.7082885,26.7154015 C27.7082885,24.6278911 26.0976113,22.9362251 24.1092895,22.9362251"
                fill="currentColor"
              />
              <g transform="translate(27.2446, 0)">
                <mask id="mask-4" fill="white">
                  <use href="#path-3" />
                </mask>
                <g />
                <path
                  d="M14.0163601,9.95243801 C12.6923288,9.95243801 11.619454,8.87956321 11.619454,7.55553196 C11.619454,6.23150072 12.6923288,5.15862592 14.0163601,5.15862592 C15.3403913,5.15862592 16.4132661,6.23150072 16.4132661,7.55553196 C16.4132661,8.87956321 15.3403913,9.95243801 14.0163601,9.95243801 M6.73919318,9.95243801 C5.41516194,9.95243801 4.34228713,8.87956321 4.34228713,7.55553196 C4.34228713,6.23150072 5.41516194,5.15862592 6.73919318,5.15862592 C8.06322442,5.15862592 9.13609922,6.23150072 9.13609922,7.55553196 C9.13609922,8.87956321 8.06322442,9.95243801 6.73919318,9.95243801 M10.7394965,-9.09987108e-05 C5.20768488,-9.09987108e-05 0.723268404,3.5224691 0.723268404,7.8703875 C0.723268404,9.67125199 1.50221737,11.3210586 2.79348908,12.6496398 C2.21018734,14.1401987 0.276464734,15.4041708 0.257355005,15.4196406 C-0.00108133406,15.6844468 -0.0720603285,16.0702813 0.0771775573,16.4033366 C0.225505456,16.7363919 0.565840635,16.9520588 0.94166531,16.9520588 C3.34767123,16.9520588 5.96661412,15.9792826 7.105008,15.1994237 C8.23521199,15.5443088 9.45641468,15.740866 10.7394965,15.740866 C16.2713081,15.740866 20.7557246,12.2183059 20.7557246,7.8703875 C20.7557246,3.5224691 16.2713081,-9.09987108e-05 10.7394965,-9.09987108e-05"
                  fill="currentColor"
                />
              </g>
            </g>
          </g>
        </g>
      </svg>
    );
  }
}
